# functions
from machinevisiontoolbox.base.color import *
from machinevisiontoolbox.base.imageio import *
from machinevisiontoolbox.base.types import *
from machinevisiontoolbox.base.shapes import *
from machinevisiontoolbox.base.graphics import *
from machinevisiontoolbox.base.meshgrid import *
from machinevisiontoolbox.base.findpeaks import *
from machinevisiontoolbox.base.data import *
from machinevisiontoolbox.base.version import *

__all__ = [
    # color
    "blackbody",
    "loadspectrum",
    "lambda2rg",
    "cmfrgb",
    "tristim2cc",
    "lambda2xy",
    "cmfxyz",
    "luminos",
    "rluminos",
    "ccxyz",
    "name2color",
    "color2name",
    "cie_primaries",
    "colorspace_convert",
    "gamma_encode",
    "gamma_decode",
    "XYZ2RGBxform",
    "plot_chromaticity_diagram",
    "plot_spectral_locus",
    "shadow_invariant",
    "esttheta",
    # graphics
    "plot_labelbox",
    "draw_box",
    "draw_labelbox",
    "draw_point",
    "draw_text",
    "draw_line",
    "draw_circle",
    #'plot_histogram',
    # imageio
    "idisp",
    "iread",
    "iwrite",
    "convert",
    "cv_destroy_window",
    "set_window_title",
    # types
    "int_image",
    "float_image",
    # data
    "mvtb_path_to_datafile",
    "mvtb_load_data",
    "mvtb_load_matfile",
    "mvtb_load_jsonfile",
    # shapes
    "mkcube",
    "mksphere",
    "mkcylinder",
    "mkgrid",
    # meshgrid
    "meshgrid",
    "spherical_rotate",
    # findpeaks
    "findpeaks",
    "findpeaks2d",
    "findpeaks3d",
    # version
    "version",
]
